# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pikpaktui"
version = "0.0.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A TUI and CLI client for PikPak cloud storage"
readme = "README.md"
keywords = [
    "tui",
    "pikpak",
    "cloud-storage",
    "cli",
]
categories = ["command-line-utilities"]
license = "Apache-2.0"
repository = "https://github.com/Bengerthelorf/pikpaktui"

[[bin]]
name = "pikpaktui"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.base64]
version = "0.22"

[dependencies.crossterm]
version = "0.29"

[dependencies.dirs]
version = "6"

[dependencies.hmac]
version = "0.12"

[dependencies.ratatui]
version = "0.30.0"

[dependencies.reqwest]
version = "0.12"
features = [
    "blocking",
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9.34-deprecated"

[dependencies.sha1]
version = "0.10"

[dependencies.toml]
version = "0.9.8"

[profile.release]
opt-level = "s"
lto = true
codegen-units = 1
strip = true
